## libksysguard 5.19.5

=== debian/changelog ===
libksysguard (4:5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:54:21 +0100

libksysguard (4:5.19.4-0ubuntu2) groovy; urgency=medium

  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Aug 2020 18:45:24 +0100

libksysguard (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:42:42 +0100

libksysguard (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 13:59:50 +0100

libksysguard (4:5.19.2-0ubuntu2) groovy; urgency=medium

  * Add qtdeclarative5-dev to libkf5sysguard-dev Depends, fixes acc
    autopkgtest

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 28 Jun 2020 19:28:38 +0100

libksysguard (4:5.19.2-0ubuntu1) groovy; urgency=medium

  [ Rik Mills ]
  * Rename library packages according to upstream SONAME bumps:
    - libksgrd7 -> libksgrd9
    - libksignalplotter7 -> libksignalplotter9
    - liblsofui7 -> liblsofui9
    - libprocesscore7 -> libprocesscore9
    - libprocessui7 -> libprocessui9
  * New library packages:
    - libksysguardformatter1
    - libksysguardsensorfaces1
    - libksysguardsensors1
  * New qml module package qml-module-org-kde-ksysguard
  * Add upstream_replace-mapproxysource.patch to fix beta without
    kquickcharts 5.71
  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:46:06 +0100

libksysguard (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:40:49 +0100

=== debian/control ===
Source: libksysguard
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.70.0~),
               libkf5auth-dev (>= 5.70.0~),
               libkf5completion-dev (>= 5.70.0~),
               libkf5config-dev (>= 5.70.0~),
               libkf5configwidgets-dev (>= 5.70.0~),
               libkf5coreaddons-dev (>= 5.70.0~),
               libkf5declarative-dev (>= 5.70.0~),
               libkf5globalaccel-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5iconthemes-dev (>= 5.70.0~),
               libkf5kio-dev (>= 5.70.0~),
               libkf5newstuff-dev (>= 5.70.0~),
               libkf5plasma-dev (>= 5.70.0~),
               libkf5service-dev (>= 5.70.0~),
               libkf5widgetsaddons-dev (>= 5.70.0~),
               libkf5windowsystem-dev (>= 5.70.0~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               libz-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
               qtwebengine5-dev [amd64 arm64 armhf i386],
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/libksysguard
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard

Package: libkf5sysguard-bin
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5sysguard5 (<< 4:5.4.2)
Replaces: libkf5sysguard5 (<< 4:5.4.2)
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libkf5sysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ksysguard (<< 4:5.0.0),
        libkf5sysguard-bin (<< 4:5.0.95),
        libkf5sysguard5-data (<< 4:5.2.0),
        plasma-workspace (<< 4:5.19.0~),
        ${kde-l10n:all},
Replaces: ksysguard (<< 4:5.0.0),
          libkf5sysguard-bin (<< 4:5.0.95),
          libkf5sysguard5-data (<< 4:5.2.0),
          plasma-workspace (<< 4:5.19.0~),
          ${kde-l10n:all},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the data files

Package: libkf5sysguard-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.70.0~),
         libkf5i18n-dev (>= 5.70.0~),
         libkf5sysguard-bin (= ${binary:Version}),
         libksgrd9 (= ${binary:Version}),
         libksignalplotter9 (= ${binary:Version}),
         libksysguardsensorfaces1 (= ${binary:Version}),
         libksysguardsensors1 (= ${binary:Version}),
         liblsofui9 (= ${binary:Version}),
         libprocesscore9 (= ${binary:Version}),
         libprocessui9 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         qtdeclarative5-dev,
         ${misc:Depends},
Breaks: kde-workspace-dev
Replaces: kde-workspace-dev
Conflicts: kde-workspace-dev
Description: library for monitoring your system - development files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the files necessary for development.

Package: libkf5sysguard5
Priority: optional
Section: oldlibs
Architecture: all
Depends: libkf5sysguard-bin (>= ${source:Version}), ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libkf5sysguard5-data
Section: oldlibs
Priority: optional
Architecture: all
Depends: libkf5sysguard-data (>= ${source:Version}), ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libksgrd9
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libksgrd7, libksgrd8
Replaces: libksgrd7, libksgrd8
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libksignalplotter9
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-bin (= ${binary:Version}),
         libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libksignalplotter7, libksignalplotter8
Replaces: libksignalplotter7, libksignalplotter8
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libksysguardformatter1
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - formatter shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the formatter shared library

Package: libksysguardsensorfaces1
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - sensor faces shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the sensor faces shared library

Package: libksysguardsensors1
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - sensors shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the sensors shared library

Package: liblsofui9
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: liblsofui7, liblsofui8
Replaces: liblsofui7, liblsofui8
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libprocesscore9
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libprocesscore7, libprocesscore8
Replaces: libprocesscore7, libprocesscore8
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libprocessui9
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libprocessui7, libprocessui8
Replaces: libprocessui7, libprocessui8
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: qml-module-org-kde-ksysguard
Architecture: any
Multi-arch: same
Depends: qml-module-org-kde-kirigami2,
         qml-module-org-kde-quickcharts,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KSysGuard QtDeclarative QML Support
 Contains a plugin for QtDeclarative that provides
 support for using KSysGuard components written
 in QML.

## libksysguard 5.20.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(libksysguard)

set(PROJECT_VERSION "5.20.5")
set(PROJECT_VERSION_MAJOR 5)

# check with non-Plasma consumers (e.g. KDevelop) before bumping these versions to make sure the KDE CI does not break
set(QT_MIN_VERSION "5.14.0")
set(KF5_MIN_VERSION "5.74")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)

include(ECMAddTests)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)

include(CMakePackageConfigHelpers)
include(CheckIncludeFiles)
include(CheckLibraryExists)
include(FeatureSummary)
include(GenerateExportHeader)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS DBus Network Widgets Qml Quick)
find_package(Qt5WebEngineWidgets ${QT_MIN_VERSION} CONFIG)
set_package_properties(Qt5WebEngineWidgets PROPERTIES
                       URL "git://code.qt.org/qt/qtwebenginewidgets.git"
                       DESCRIPTION "Qt WebEngine module (web browsing engine)"
                       TYPE OPTIONAL
                       PURPOSE "Used by the HTML-based GUI ksysguard library"
                      )
find_package(Qt5WebChannel ${QT_MIN_VERSION} CONFIG)
set_package_properties(Qt5WebChannel PROPERTIES
                       URL "git://code.qt.org/qt/qtwebchannel.git"
                       DESCRIPTION "Qt WebChannel module"
                       TYPE OPTIONAL
                       PURPOSE "Used by the HTML-based GUI ksysguard library"
                      )


find_package(KF5 REQUIRED COMPONENTS CoreAddons Config I18n JobWidgets WindowSystem Completion Auth WidgetsAddons IconThemes ConfigWidgets Service GlobalAccel KIO Package Declarative NewStuff)

find_package(ZLIB REQUIRED)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "https://zlib.net/"
                       TYPE REQUIRED
                      )

check_library_exists(c clock_gettime "time.h" HAVE_CLOCK_GETTIME_C)

ecm_setup_version(${PROJECT_VERSION}
                  VARIABLE_PREFIX KSYSGUARD
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ksysguard_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfigVersion.cmake"
                  SOVERSION 9
)

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "https://www.x.org"
                        TYPE OPTIONAL
                        PURPOSE "Required for building the X11 based workspace"
                    )
if(X11_FOUND)
    find_package(Qt5X11Extras REQUIRED)
    find_library(X11_XRes_LIB XRes ${X11_LIB_SEARCH_PATH})
    find_path(X11_XRes_INCLUDE_PATH X11/extensions/XRes.h ${X11_INC_SEARCH_PATH})

    if(X11_XRes_LIB AND X11_XRes_INCLUDE_PATH)
        set(X11_XRes_FOUND TRUE)
    endif()
endif()

set(WEBENGINE_SCRIPTING_ENABLED FALSE)
if(Qt5WebEngineWidgets_FOUND AND Qt5WebChannel_FOUND)
    set(WEBENGINE_SCRIPTING_ENABLED TRUE)
endif()
add_feature_info("Scripting plugin support" WEBENGINE_SCRIPTING_ENABLED "Support scripting plugins using WebEngine and WebChannel")

set(HAVE_X11 ${X11_FOUND})
set(HAVE_XRES ${X11_XRes_FOUND})
configure_file(config-ksysguard.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ksysguard.h )

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")


add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
add_definitions(-DKF_DEPRECATED_WARNINGS_SINCE=0x060000)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

add_subdirectory( formatter )
add_subdirectory( lsofui )
add_subdirectory( processcore )
add_subdirectory( processui )
add_subdirectory( sensors )
add_subdirectory( faces )
add_subdirectory( signalplotter )
add_subdirectory( ksgrd )

if(BUILD_TESTING)
    add_subdirectory( autotests )
endif()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

install(DIRECTORY scripts/ DESTINATION ${KDE_INSTALL_DATADIR}/ksysguard/scripts)

set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_LIBDIR}/cmake/KSysGuard)
configure_package_config_file(KSysGuardConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

configure_package_config_file(KF5SysGuardConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/KF5SysGuardConfig.cmake"
    INSTALL_DESTINATION ${KDE_INSTALL_LIBDIR}/cmake/KF5SysGuard
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfigVersion.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/KF5SysGuardConfig.cmake
    DESTINATION ${KDE_INSTALL_LIBDIR}/cmake/KF5SysGuard
)

install(EXPORT libksysguardLibraryTargets
        NAMESPACE KSysGuard::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE KSysGuardLibraryTargets.cmake )

install(FILES libksysguard.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== autotests/CMakeLists.txt ===
find_package(Qt5 REQUIRED CONFIG COMPONENTS Test)

include_directories(${libksysguard_SOURCE_DIR})

# Process unit test
ecm_qt_declare_logging_category(processtest_debug_SRCS HEADER processcore_debug.h IDENTIFIER LIBKSYSGUARD_PROCESSCORE CATEGORY_NAME org.kde.libksysguard.processcore)
ecm_add_test(processtest.cpp ${processtest_debug_SRCS} TEST_NAME processtest
	LINK_LIBRARIES KSysGuard::ProcessUi Qt5::Test)

if (KF5Plasma_FOUND)
    set(SIGNALPLOTTER_DEBUG_SRCS)
    ecm_qt_declare_logging_category(SIGNALPLOTTER_DEBUG_SRCS HEADER ksignalplotter_debug.h IDENTIFIER LIBKSYSGUARD_KSIGNALPLOTTER CATEGORY_NAME org.kde.libksysguard.ksignalplotter)
    ecm_add_test(signalplotterbenchmark.cpp  ../signalplotter/ksignalplotter.cpp ${SIGNALPLOTTER_DEBUG_SRCS}
        TEST_NAME signalplotterbenchmark
        LINK_LIBRARIES KSysGuard::SignalPlotter Qt5::Test Qt5::Widgets KF5::IconThemes
    )

    ecm_add_test(graphicssignalplotterbenchmark.cpp ../signalplotter/kgraphicssignalplotter.cpp ${SIGNALPLOTTER_DEBUG_SRCS}
        TEST_NAME graphicssignalplotterbenchmark
        LINK_LIBRARIES KSysGuard::SignalPlotter Qt5::Test Qt5::Widgets KF5::IconThemes KF5::Plasma
    )

    ecm_add_test(signalplottertest.cpp ../signalplotter/ksignalplotter.cpp ${SIGNALPLOTTER_DEBUG_SRCS}
        TEST_NAME signalplottertest
        LINK_LIBRARIES KSysGuard::SignalPlotter Qt5::Test Qt5::Widgets KF5::IconThemes
    )
endif()

ecm_add_test(chronotest.cpp
    TEST_NAME chronotest
    LINK_LIBRARIES Qt5::Test KF5::I18n
)

ecm_add_test(formattertest.cpp LINK_LIBRARIES Qt5::Test KSysGuard::Formatter)
ecm_add_test(sensortreemodeltest.cpp LINK_LIBRARIES Qt5::Test Qt5::DBus KSysGuard::Sensors)
ecm_add_test(sensordatamodeltest.cpp LINK_LIBRARIES Qt5::Test Qt5::DBus KSysGuard::Sensors KSysGuard::Formatter)
ecm_add_test(processdatamodeltest.cpp LINK_LIBRARIES Qt5::Test KSysGuard::ProcessCore)
ecm_add_test(cgrouptest.cpp LINK_LIBRARIES Qt5::Test KF5::Service KSysGuard::ProcessCore)

include_directories(../faces)
ecm_add_test(sensorfacecontrollertest.cpp LINK_LIBRARIES
    Qt5::Test
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::I18n
    KF5::Package
    KF5::Declarative
    KSysGuard::SensorFaces
)

# set( ksysguarddtest_SRCS ksysguarddtest.cpp ${libksysguard_SOURCE_DIR}/ksgrd/SensorAgent.cpp ${libksysguard_SOURCE_DIR}/ksgrd/SensorManager.cpp ${libksysguard_SOURCE_DIR}/ksgrd/SensorSocketAgent.cpp ${libksysguard_SOURCE_DIR}/ksgrd/SensorShellAgent.cpp)
#
# ecm_add_test(${ksysguarddtest_SRCS}
#     TEST_NAME "ksysguard-ksysguarddtest"
#     LINK_LIBRARIES
#     Qt5::Test
#     Qt5::Network
#     Qt5::Widgets
#     KF5::ConfigCore
#     KF5::CoreAddons
#     KF5::I18n
# )

=== faces/CMakeLists.txt ===
set(KSYSGUARD_SENSORS_SOVERSION 1)

add_subdirectory(import)
add_subdirectory(facepackages)
add_subdirectory(packagestructure)

add_definitions(-DTRANSLATION_DOMAIN=\"KSysGuardSensorFaces\")

set(faces_LIB_SRCS
    SensorFaceController.cpp
    SensorFace.cpp
)

set(faces_LIB_HEADERS
    SensorFace_p.h
    SensorFaceController.h
)

ecm_qt_declare_logging_category(faces_LIB_SRCS
    HEADER faces_logging.h
    IDENTIFIER LIBKSYSGUARD_SENSORS
    CATEGORY_NAME org.kde.libksysguard.faces
)

set_source_files_properties(org.kde.KSysGuardDaemon.xml PROPERTIES INCLUDE SensorInfo_p.h)
qt5_add_resources(RESOURCES resources.qrc)

add_library(SensorFaces ${faces_LIB_SRCS} ${RESOURCES})
add_library(KSysGuard::SensorFaces ALIAS SensorFaces)

target_include_directories(SensorFaces
    PUBLIC
    "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard/>"
)

generate_export_header(SensorFaces)

target_link_libraries(SensorFaces
    PUBLIC
        Qt5::Qml
        Qt5::Quick
        KF5::ConfigCore
        KF5::ConfigGui
        KSysGuard::Formatter
        KSysGuard::Sensors
    PRIVATE
        Qt5::Core
        Qt5::DBus
        KF5::I18n
        KF5::Package
        KF5::Declarative
)

set_target_properties(SensorFaces PROPERTIES
    LIBRARY_OUTPUT_NAME KSysGuardSensorFaces
    VERSION ${KSYSGUARD_VERSION_STRING}
    SOVERSION ${KSYSGUARD_SENSORS_SOVERSION}
)

install(TARGETS SensorFaces EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${faces_LIB_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/sensorfaces_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/faces
    COMPONENT Devel
)

install(FILES systemmonitor-faces.knsrc systemmonitor-presets.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

=== formatter/CMakeLists.txt ===

set(Formatter_SOVERSION 1)

set(formatter_SRCS
    Formatter.cpp
    Unit.cpp
)

set(formatter_HDRS
    Formatter.h
    Unit.h
)

ecm_qt_declare_logging_category(formatter_SRCS
    HEADER formatter_debug.h
    IDENTIFIER FORMATTER
    CATEGORY_NAME org.kde.libksysguard.formatter
)

add_library(Formatter ${formatter_SRCS})
add_library(KSysGuard::Formatter ALIAS Formatter)

target_link_libraries(Formatter
    PUBLIC
    Qt5::Core
    PRIVATE
    KF5::I18n
)

generate_export_header(Formatter)

target_include_directories(Formatter
    PUBLIC
    "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard/>"
)

set_target_properties(Formatter PROPERTIES
    LIBRARY_OUTPUT_NAME KSysGuardFormatter
    VERSION ${KSYSGUARD_VERSION_STRING}
    SOVERSION ${Formatter_SOVERSION}
)

add_subdirectory(declarative)

install(TARGETS Formatter EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${formatter_HDRS}
    ${CMAKE_CURRENT_BINARY_DIR}/formatter_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/formatter
)

=== ksgrd/CMakeLists.txt ===



########### next target ###############

set(ksgrd_LIB_SRCS
   SensorAgent.cpp
   SensorManager.cpp
   SensorShellAgent.cpp
   SensorSocketAgent.cpp
)

ecm_qt_declare_logging_category(ksgrd_LIB_SRCS HEADER ksgrd_debug.h IDENTIFIER LIBKSYSGUARD_KSGRD CATEGORY_NAME org.kde.libksysguard.ksgrd)
add_definitions(-DTRANSLATION_DOMAIN=\"ksgrd\")

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)

add_library(ksgrd ${ksgrd_LIB_SRCS})
add_library(KSysGuard::SysGuard ALIAS ksgrd)
target_include_directories(ksgrd
    PUBLIC
        "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard/>"
)

target_link_libraries(ksgrd
    PUBLIC
        Qt5::Core
        Qt5::Network # QTcpSocket in SensorSocketAgent.h
        KF5::ConfigCore # KConfigGroup in SensorManager.h
    PRIVATE
        KF5::I18n
        KF5::CoreAddons
        KSysGuard::ProcessCore
)

set_target_properties(ksgrd PROPERTIES VERSION ${KSYSGUARD_VERSION_STRING} SOVERSION ${KSYSGUARD_SOVERSION} EXPORT_NAME SysGuard)
install(TARGETS ksgrd EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES
    SensorAgent.h
    SensorClient.h
    SensorManager.h
    SensorShellAgent.h
    SensorSocketAgent.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/ksgrd
    COMPONENT Devel
)

=== lsofui/CMakeLists.txt ===

########### next target ###############

set(lsofui_LIB_SRCS
   lsof.cpp
)

ki18n_wrap_ui( lsofui_LIB_SRCS
   LsofSearchWidget.ui 
)

add_library(lsofui ${lsofui_LIB_SRCS})
add_library(KSysGuard::LsofUi ALIAS lsofui)

target_link_libraries(lsofui
    PUBLIC
        Qt5::Widgets
    PRIVATE
        KF5::I18n
)
set_target_properties(lsofui PROPERTIES VERSION ${KSYSGUARD_VERSION_STRING} SOVERSION ${KSYSGUARD_SOVERSION} EXPORT_NAME LsofUi)
install(TARGETS lsofui EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES lsof.h DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard COMPONENT Devel)

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

=== sensors/CMakeLists.txt ===
set(KSYSGUARD_SENSORS_SOVERSION 1)

add_subdirectory(declarative)

add_definitions(-DTRANSLATION_DOMAIN=\"ksysguard_sensors\")

set(sensors_LIB_SRCS
    Sensor.cpp
    SensorDataModel.cpp
    SensorTreeModel.cpp
    SensorGroup.cpp
    SensorQuery.cpp
    SensorDaemonInterface.cpp
)

set(sensors_LIB_HEADERS
    Sensor.h
    SensorDataModel.h
    SensorTreeModel.h
    SensorQuery.h
    SensorInfo_p.h
)

ecm_qt_declare_logging_category(sensors_LIB_SRCS
    HEADER sensors_logging.h
    IDENTIFIER LIBKSYSGUARD_SENSORS
    CATEGORY_NAME org.kde.libksysguard.sensors
)

set_source_files_properties(org.kde.KSysGuardDaemon.xml PROPERTIES INCLUDE SensorInfo_p.h)
qt5_add_dbus_interface(sensors_LIB_SRCS org.kde.KSysGuardDaemon.xml ksysguarddaemon)

add_library(Sensors ${sensors_LIB_SRCS})
add_library(KSysGuard::Sensors ALIAS Sensors)

target_include_directories(Sensors
    PUBLIC
    "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard/>"
)

generate_export_header(Sensors)

target_link_libraries(Sensors
    PUBLIC
        Qt5::Qml
        KSysGuard::Formatter
    PRIVATE
        Qt5::Core
        Qt5::DBus
        KF5::I18n
)

set_target_properties(Sensors PROPERTIES
    LIBRARY_OUTPUT_NAME KSysGuardSensors
    VERSION ${KSYSGUARD_VERSION_STRING}
    SOVERSION ${KSYSGUARD_SENSORS_SOVERSION}
)

install(TARGETS Sensors EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${sensors_LIB_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/sensors_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/sensors
    COMPONENT Devel
)

=== signalplotter/CMakeLists.txt ===

set(ksignalplotter_WIDGETS "ksignalplotter.widgets")

set(ksignalplotter_LIB_SRCS
    ksignalplotter.cpp
    kgraphicssignalplotter.cpp
)
ecm_qt_declare_logging_category(ksignalplotter_LIB_SRCS HEADER ksignalplotter_debug.h IDENTIFIER LIBKSYSGUARD_KSIGNALPLOTTER CATEGORY_NAME org.kde.libksysguard.ksignalplotter)
add_library(ksignalplotter ${ksignalplotter_LIB_SRCS})
add_library(KSysGuard::SignalPlotter ALIAS ksignalplotter)

target_link_libraries(ksignalplotter
    PUBLIC
        Qt5::Widgets
        KF5::I18n # klocalizedstring.h
        KF5::IconThemes
    PRIVATE
        KSysGuard::ProcessCore
)

set_target_properties(ksignalplotter
   PROPERTIES VERSION ${KSYSGUARD_VERSION_STRING}
   SOVERSION ${KSYSGUARD_SOVERSION}
   EXPORT_NAME SignalPlotter
)

install(TARGETS ksignalplotter EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ksignalplotter.h DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard COMPONENT Devel)

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

=== faces/facepackages/CMakeLists.txt ===
 
function(install_sensorchart_face name)
    kpackage_install_package(${name} org.kde.ksysguard.${name} sensorfaces ksysguard)
endfunction()

install_sensorchart_face(barchart)
install_sensorchart_face(linechart)
install_sensorchart_face(piechart)
install_sensorchart_face(textonly)
install_sensorchart_face(horizontalbars)

=== formatter/declarative/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR}/..)

add_library(FormatterPlugin SHARED FormatterPlugin.cpp FormatterWrapper.cpp)

target_link_libraries(FormatterPlugin Qt5::Qml KSysGuard::Formatter)

install(TARGETS FormatterPlugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/ksysguard/formatter)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/ksysguard/formatter)

=== debian/changelog ===
libksysguard (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).
  * Update lintian overrides.

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:52 +0900

libksysguard (4:5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:37 +0900

libksysguard (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update build-deps with the info from cmake.
  * Update list of installed files.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:32 +0900

libksysguard (4:5.19.5-4) unstable; urgency=medium

  * Team upload.
  * Add the qtdeclarative5-dev dependency to libkf5sysguard-dev, as it provides
    Qt headers included in public libksysguard headers.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Pino Toscano <pino@debian.org>  Wed, 11 Nov 2020 01:30:35 +0100

libksysguard (4:5.19.5-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:23 +0900

libksysguard (4:5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:41 +0900

libksysguard (4:5.19.5-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.19.5).

  [ Norbert Preining ]
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 13:51:19 +0900

libksysguard (4:5.19.4-2) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Update acc.in with new libs.
    - Bump version to old-stable.
    - Fix paths for all the headers/libs.
    - Condense changelog to one entry.
    - Update acc test to copy logs for debugging.
  * Add missing epoch to new packages symbols files.
  * Move runtime dependencies to the -bin package that
    actually needs them.

 -- Sandro Knauß <hefee@debian.org>  Thu, 08 Oct 2020 21:05:29 +0200

libksysguard (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
  * Remove umused build dependencies.
  * Delete not needed Breaks/Confilcts.
  * Add myself to Uploaders.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Update build-deps according to info from cmake.
    - bump KF versions to 5.66.
    - bump Qt versions to 5.14.
    - add libkf5declarative-dev, libkf5newstuff-dev, libkf5package-dev to B-D.
  * Add xauth and xvfb to build-deps for autotests.
  * Rename private lib packages according to ABI bump.
  * Add new packages.
    . libksysguardformatter1
    . libksysguardsensorfaces1
    . libksysguardsensors1
    . qml-module-org-kde-ksysguard
  * Update list of installed files.
  * Update symbols of new packages.
  * Add symbols files for the new libraries.
  * Add new libraries to abi compliance checker list.
  * Add Build-Depends-Package info to symbols files.
  * Enable hardening for build.
  * Update upstream metadata.
  * Install scripts README to doc directory.
  * Rewrite/rephrase the short description and make them unique.

 -- Pino Toscano <pino@debian.org>  Sat, 29 Aug 2020 22:53:14 +0200

=== debian/control ===
Source: libksysguard
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74.0~),
               gettext,
               libkf5auth-dev (>= 5.74.0~),
               libkf5completion-dev (>= 5.74.0~),
               libkf5config-dev (>= 5.74.0~),
               libkf5configwidgets-dev (>= 5.74.0~),
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5declarative-dev (>= 5.74.0~),
               libkf5globalaccel-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5iconthemes-dev (>= 5.74.0~),
               libkf5kio-dev (>= 5.74.0~),
               libkf5newstuff-dev (>= 5.74.0~),
               libkf5package-dev (>= 5.74.0~),
               libkf5plasma-dev (>= 5.74.0~),
               libkf5service-dev (>= 5.74.0~),
               libkf5widgetsaddons-dev (>= 5.74.0~),
               libkf5windowsystem-dev (>= 5.74.0~),
               libqt5webchannel5-dev (>= 5.15.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               libx11-dev,
               libxres-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.0~),
               qtscript5-dev (>= 5.15.0~),
               qttools5-dev (>= 5.15.0~),
               qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 armhf i386 mipsel],
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/libksysguard
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksysguard
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksysguard.git
Rules-Requires-Root: no

Package: libkf5sysguard-bin
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         libksysguardsensorfaces1 (= ${binary:Version}),
         libksysguardformatter1 (= ${binary:Version}),
         libksgrd9 (= ${binary:Version}),
         libprocessui9 (= ${binary:Version}),
         libprocesscore9 (= ${binary:Version}),
         libksysguardsensors1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - utilities
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the support utilities.

Package: libkf5sysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: library for system monitoring - data files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the data files

Package: libkf5sysguard-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev,
         libkf5i18n-dev,
         libkf5sysguard-bin (= ${binary:Version}),
         libksignalplotter9 (= ${binary:Version}),
         liblsofui9 (= ${binary:Version}),
         qml-module-org-kde-ksysguard (= ${binary:Version}),
         qtbase5-dev (>= 5.15.0~),
         qtdeclarative5-dev (>= 5.15.0~),
         ${misc:Depends},
Description: library for system monitoring - development files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the files necessary for development.

Package: libksgrd9
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksgrd shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksgrd.

Package: libksignalplotter9
Architecture: any
Depends: libkf5sysguard-bin (= ${binary:Version}),
         libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksignalplotter shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksignalplotter.

Package: liblsofui9
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - lsofui shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library liblsofui.

Package: libprocesscore9
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - processcore shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libprocesscore.

Package: libprocessui9
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - processui shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libprocessui.

Package: libksysguardformatter1
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for system monitoring - ksysguardformatter shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardformatter.

Package: libksysguardsensors1
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for system monitoring - ksysguardsensors shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensors.

Package: libksysguardsensorfaces1
Architecture: any
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for system monitoring - ksysguardsensorfaces shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensorfaces.

Package: qml-module-org-kde-ksysguard
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-org-kde-quickcharts,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: KSysGuard QtDeclarative QML Support
 Contains a plugin for QtDeclarative that provides
 support for using KSysGuard components written
 in QML.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_install:
	dh_auto_install
	# fix installation of documentation outside /usr/share/doc
	mkdir -p debian/tmp/usr/share/doc/ksysguard-data
	mv debian/tmp/usr/share/ksysguard/scripts/README \
	   debian/tmp/usr/share/doc/ksysguard-data/README.scripts

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## libksysguard 5.21.4

=== debian/changelog ===
libksysguard (4:5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:10:03 +0100

libksysguard (4:5.21.3.1-0ubuntu2) hirsute; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Mar 2021 02:42:47 +0000

libksysguard (4:5.21.3.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:34:10 +0000

libksysguard (4:5.21.2-0ubuntu2) hirsute; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 23:57:59 +0000

libksysguard (4:5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:12:59 +0000

libksysguard (4:5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:06:32 +0000

libksysguard (4:5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:22:13 +0000

libksysguard (4:5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:45:16 +0000

libksysguard (4:5.20.5-1ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubunbtu Vcs fields.
    - libkf5sysguard-data Breaks/Replaces plasma-workspace (<< 4:5.19.0~)
    - libprocessui9: Mark 3 symbols optional for ppc64el and s390x,
    - Disable tests.

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Jan 2021 15:24:03 +0000

libksysguard (4:5.20.5-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Jan 2021 15:04:49 +0000

libksysguard (4:5.20.4-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubunbtu Vcs fields.
    - libkf5sysguard-data Breaks/Replaces plasma-workspace (<< 4:5.19.0~)
    - libprocessui9: Mark 3 symbols optional for ppc64el and s390x,
    - Disable tests.

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Dec 2020 22:51:16 +0000

libksysguard (4:5.20.4-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Dec 2020 18:50:04 +0000

libksysguard (4:5.20.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.0)
  * New build depend on qttools5-dev for QtUIPlugin.
  * Update symbols from build logs.
  * New upstream release (5.20.1)
  * New upstream release (5.20.2)
  * New upstream release (5.20.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 08:53:41 +0000

=== debian/control ===
--- 
+++ 
@@ -39,19 +39,19 @@
                zlib1g-dev,
 Standards-Version: 4.5.0
 Homepage: https://invent.kde.org/plasma/libksysguard
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksysguard
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksysguard.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
 Rules-Requires-Root: no
 
 Package: libkf5sysguard-bin
 Architecture: any
 Depends: libkf5sysguard-data (= ${source:Version}),
+         libksgrd9 (= ${binary:Version}),
+         libksysguardformatter1 (= ${binary:Version}),
          libksysguardsensorfaces1 (= ${binary:Version}),
-         libksysguardformatter1 (= ${binary:Version}),
-         libksgrd9 (= ${binary:Version}),
+         libksysguardsensors1 (= ${binary:Version}),
+         libprocesscore9 (= ${binary:Version}),
          libprocessui9 (= ${binary:Version}),
-         libprocesscore9 (= ${binary:Version}),
-         libksysguardsensors1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: library for system monitoring - utilities
@@ -64,6 +64,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: plasma-workspace (<< 4:5.19.0~)
+Replaces: plasma-workspace (<< 4:5.19.0~)
 Description: library for system monitoring - data files
  KSysGuard is a program to monitor various elements of your system, or any
  other remote system with the KSysGuard daemon (ksysgardd) installed.
@@ -111,6 +113,39 @@
  .
  This package contains the shared library libksignalplotter.
 
+Package: libksysguardformatter1
+Architecture: any
+Depends: libkf5sysguard-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: library for system monitoring - ksysguardformatter shared library
+ KSysGuard is a program to monitor various elements of your system, or any
+ other remote system with the KSysGuard daemon (ksysgardd) installed.
+ .
+ This package contains the shared library libksysguardformatter.
+
+Package: libksysguardsensorfaces1
+Architecture: any
+Depends: libkf5sysguard-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: library for system monitoring - ksysguardsensorfaces shared library
+ KSysGuard is a program to monitor various elements of your system, or any
+ other remote system with the KSysGuard daemon (ksysgardd) installed.
+ .
+ This package contains the shared library libksysguardsensorfaces.
+
+Package: libksysguardsensors1
+Architecture: any
+Depends: libkf5sysguard-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: library for system monitoring - ksysguardsensors shared library
+ KSysGuard is a program to monitor various elements of your system, or any
+ other remote system with the KSysGuard daemon (ksysgardd) installed.
+ .
+ This package contains the shared library libksysguardsensors.
+
 Package: liblsofui9
 Architecture: any
 Depends: libkf5sysguard-data (= ${source:Version}),
@@ -144,39 +179,6 @@
  .
  This package contains the shared library libprocessui.
 
-Package: libksysguardformatter1
-Architecture: any
-Depends: libkf5sysguard-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: library for system monitoring - ksysguardformatter shared library
- KSysGuard is a program to monitor various elements of your system, or any
- other remote system with the KSysGuard daemon (ksysgardd) installed.
- .
- This package contains the shared library libksysguardformatter.
-
-Package: libksysguardsensors1
-Architecture: any
-Depends: libkf5sysguard-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: library for system monitoring - ksysguardsensors shared library
- KSysGuard is a program to monitor various elements of your system, or any
- other remote system with the KSysGuard daemon (ksysgardd) installed.
- .
- This package contains the shared library libksysguardsensors.
-
-Package: libksysguardsensorfaces1
-Architecture: any
-Depends: libkf5sysguard-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: library for system monitoring - ksysguardsensorfaces shared library
- KSysGuard is a program to monitor various elements of your system, or any
- other remote system with the KSysGuard daemon (ksysgardd) installed.
- .
- This package contains the shared library libksysguardsensorfaces.
-
 Package: qml-module-org-kde-ksysguard
 Architecture: any
 Depends: qml-module-org-kde-kirigami2,
@@ -184,7 +186,7 @@
          qml-module-qtquick-layouts,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: KSysGuard QtDeclarative QML Support
  Contains a plugin for QtDeclarative that provides
  support for using KSysGuard components written
